<Project Sdk="Microsoft.NET.Sdk.Web">

	<PropertyGroup>
		<TargetFramework>net10.0</TargetFramework>
		<Nullable>enable</Nullable>
		<ImplicitUsings>enable</ImplicitUsings>
	</PropertyGroup>

	<ItemGroup>
		<InternalsVisibleTo Include="MyOffice.Tests" />
	</ItemGroup>

	<ItemGroup>
		<Compile Remove="logs\**" />
		<Content Remove="logs\**" />
		<EmbeddedResource Remove="logs\**" />
		<None Remove="logs\**" />
	</ItemGroup>

	<ItemGroup>
		<Content Update="appsettings.Production.json" CopyToPublishDirectory="Never" />
		<Content Update="appsettings.Production.sample.json" CopyToPublishDirectory="Never" />
		<Content Update="appsettings.Development.json" CopyToPublishDirectory="Never" />
		<Content Update="appsettings.Development.sample.json" CopyToPublishDirectory="Never" />
		<Content Update="web.Release.config" CopyToPublishDirectory="Never" />

		<Content Update="appsettings.Production.json">
			<CopyToOutputDirectory>Never</CopyToOutputDirectory>
		</Content>
		<Content Remove="wwwroot\index.html" />
	</ItemGroup>

	<ItemGroup>
		<None Include="wwwroot\index.html" />
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="AutoMapper" Version="16.2.0" />
		<PackageReference Include="Google.Apis.Auth" Version="1.75.0" />
		<PackageReference Include="IdentityModel" Version="7.0.0" />
		<PackageReference Include="Microsoft.IdentityModel.Protocols.OpenIdConnect" Version="8.14.0" />
		<PackageReference Include="OpenIddict.AspNetCore" Version="7.6.0" />
	</ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\MyOffice.Core\MyOffice.Core.csproj" />
		<ProjectReference Include="..\MyOffice.DbContext\MyOffice.DbContext.csproj" />
		<ProjectReference Include="..\MyOffice.Migration.Postgres\MyOffice.Migrations.Postgres.csproj" />
		<ProjectReference Include="..\MyOffice.Migration.Sqlite\MyOffice.Migrations.Sqlite.csproj" />
		<ProjectReference Include="..\MyOffice.Services\MyOffice.Services.csproj" />
		<ProjectReference Include="..\MyOffice.Shared\MyOffice.Shared.csproj" />
	</ItemGroup>

</Project>
